package cn.com.ctop.kuaishou.modules.label.controller;

import cn.com.ctop.kuaishou.modules.clean.entity.KuaiShouAccountCleanTemplateInfo;
import cn.com.ctop.kuaishou.modules.label.service.MaterialLabelService;
import org.jeecg.common.api.vo.Result;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;

/**
 * @Description: 标签管理
 * @Author: zzy
 * @Date: 2021-07-30
 * @Version: V1.0
 */
@RestController
@RequestMapping("/label")
public class LbelController {

    @Resource
    MaterialLabelService materialTagService;
    /**
     * 查询标签
     *
     * @param
     * @return
     */
    @GetMapping ("/filterMaterial")
    public Result createCleanTemplate(){
        return   materialTagService.filterMaterial();
    }

    /**
     * 查询标签
     *
     * @param
     * @return
     */
    @GetMapping ("/materialSpecificationLabel")
    public Result materialSpecificationLabel(){
        return   materialTagService.materialSpecificationLabel();
    }

    /**
     * 同步标签到ES
     *
     * @param
     * @return
     */
    @GetMapping ("/SynchronousLabel")
    public Result SynchronousLabel(){
        return   materialTagService.materialSpecificationLabel();
    }
}
