package cn.com.ctop.kuaishou.modules.label.entity;

import cn.com.ctop.common.module.annotation.Document;
import cn.com.ctop.common.module.annotation.EsId;
import cn.com.ctop.common.module.annotation.FieId;
import cn.com.ctop.common.module.enums.AnalyzerType;
import cn.com.ctop.common.module.enums.FieldType;
import lombok.Data;

@Data
@Document(index = "data_labels", type = "lable")
public class MaterialLabelInfo {
    @FieId(type = FieldType.KEYWORD)
    private String id;
    @FieId(type = FieldType.KEYWORD)
    private String code;
    @FieId(type = FieldType.KEYWORD)
    private String slogansCount;
    @FieId(type = FieldType.KEYWORD)
    private String offlineFlag;
    @FieId(type = FieldType.KEYWORD)
    private String confirmTime;
    @FieId(type = FieldType.KEYWORD,analyzer = AnalyzerType.IK_SMART)
    private String tagCode;
    @FieId(type = FieldType.KEYWORD,analyzer = AnalyzerType.IK_SMART)
    private String tagName;
    @EsId
    @FieId(type = FieldType.KEYWORD)
    private String tagId;
    @FieId(type = FieldType.KEYWORD)
    private String clipId;
    @FieId(type = FieldType.KEYWORD)
    private String shotId;
    @FieId(type = FieldType.KEYWORD)
    private String planId;
    @FieId(type = FieldType.KEYWORD)
    private String status;
    @FieId(type = FieldType.KEYWORD)
    private String userId;
    @FieId(type = FieldType.KEYWORD)
    private String materialName;
    @FieId(type = FieldType.KEYWORD)
    private String projectId;
    @FieId(type = FieldType.KEYWORD)
    private String createTime;
}
